curl --request GET \
--url https://api.bron.org/dictionary/assets/{assetId}import requests
url = "https://api.bron.org/dictionary/assets/{assetId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.bron.org/dictionary/assets/{assetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assetId": "10001",
"assetType": "blockchain",
"contractInformation": {
"contractAddress": "0xdac17f958d2ee523a2206206994597c13d831ec7",
"standard": "erc20"
},
"decimals": "18",
"networkId": "BTC",
"symbol": "BTC",
"symbolId": "s23378",
"verified": true
}{
"error": "bad-request",
"message": "<string>"
}{
"error": "forbidden",
"message": "<string>"
}{
"error": "conflict",
"message": "<string>"
}Get Asset by ID
Retrieves information about a single asset by its ID
API Key permissions: View only, Transaction Operator, Full AccessPath Parameters
Query Parameters
Filter results to only include these specific asset IDs
Filter results to only include assets from these blockchain networks
Filter results to only include assets that represent these specific symbols
Filter results to only include assets that have this contract address
Filter result to only include assets that have this contract issuer
Filter by what kind of asset. See details
blockchain, exchange, fiat, nft Filter results to only include assets that were ever used in this workspace's transactions
Full-text search across symbol, name, and contract address. Minimum 2 characters.
Response
OK
The unique ID for this asset
"10001"
What kind of asset this is. See details
blockchain, exchange, fiat, nft For crypto tokens, this contains the smart contract address and other technical blockchain details.
Show child attributes
Show child attributes
How many decimal places this asset can be split into
"18"
Which blockchain network this asset lives on (like Ethereum, Bitcoin). Only needed for crypto tokens - not used for regular money or exchange assets
"BTC"
Human-readable short name for this asset. Note: it can be changed by the issuer at any time.
"BTC"
Points to the symbol that represents this asset (which stores symbol, name, icon etc.)
"s23378"
True if we've confirmed this is the real, official token (not a fake/scam copy). Helps you avoid fraudulent tokens with similar names.
Was this page helpful?
